## guichan 0.7.1-1

=== debian/changelog ===
guichan (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * Removed destroy-dropdown-widget patch, because
    it is in upstream now.
  * Bump soname.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Thu, 26 Jul 2007 18:01:22 +0200

guichan (0.6.1-3.2) unstable; urgency=low

  * Actually include some files in new binary packages.

 -- Michael Koch <konqueror@gmx.de>  Sat, 21 Jul 2007 14:38:23 -0100

guichan (0.6.1-3.1) unstable; urgency=low

  * NMU
  * Bump soname. Closes: #428186.
  * Use ${binary:Version} instead of ${Source-Version} to make package binNMU
    safe.

 -- Michael Koch <konqueror@gmx.de>  Tue, 10 Jul 2007 08:51:26 +0200

guichan (0.6.1-3) unstable; urgency=low

  * debian/control: Added dpatch to the build-depends.
  * debian/compat: Added missing newline.
  * debian/rules: Added dpatch.
  * Added destroy-dropdown-widget patch. Thanks to Guillaume
    Melquiond <guillaume.melquiond@ens-lyon.fr>.
    Closes: #429245

 -- Patrick Matthäi <patrick.matthaei@web.de>  Mon, 18 Jun 2007 09:12:58 +0200

guichan (0.6.1-2) unstable; urgency=low

  * Uploaded libguichan to Debian unstable.
  * Setted new package maintainer to Patrick Matthäi <patrick.matthaei@web.de>.
  * Updated debhelper version.
  * Updated config.guess and config.sub.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Thu, 10 May 2007 21:22:21 +0200

guichan (0.6.1-1) experimental; urgency=low

  * New upstream release. Fix a issue with libtool.

 -- FERREIRA Yohann <bertram@cegetel.net>  Mon, 30 Jan 2007 22:11:00 +0200

guichan (0.6.0-1) unstable; urgency=low

  * New upstream release.

 -- FERREIRA Yohann <bertram@cegetel.net>  Fri, 16 Jan 2007 00:43:00 +0200

guichan (0.5.0-2) unstable; urgency=low

  * Merged patch from Sam Hocevar to close some issues using his experience. ;)

 -- FERREIRA Yohann <bertram@cegetel.net>  Wed, 16 Dec 2006 23:17:32 +0200

guichan (0.5.0-1) unstable; urgency=low

  * New awaited release of guichan in debian. Thanks for your patience. (closes: #382852).

 -- FERREIRA Yohann <bertram@cegetel.net>  Wed, 16 Aug 2006 23:25:54 +0200

guichan (0.4.0-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/control:
    + Fix short descriptions.
    + Depend and build-depend on liballegro4.2-dev instead of liballegro-dev
      (Closes: #379099).
    + Depend and build-depend on xlibmesa-gl-dev | libgl-dev instead of
      xlibmesa-gl-dev (Closes: #356133).
    + Set policy to 3.7.2.
  * src/guichan.cpp:
    + Fix a GCC 4.2 FTBFS issue (Closes: #361405).
  * debian/rules:
    + Run dh_installdeb otherwise debhelper's maintainer scripts don't get
      installed.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed,  1 Nov 2006 11:31:52 +0100

guichan (0.4.0-4) unstable; urgency=low

  * Initial upload to Debian archive (closes: #334290).
  * Corrected package name, description, copyright, control, rules,
    compat file and updated changelog.

 -- FERREIRA Yohann <bertram@cegetel.net>  Thu, 16 Oct 2005 23:45:59 +0200

libguichan (0.4.0-3) unstable; urgency=low

  * Build against gcc-4.0.1-9.
  * Compilable on amd64.

 -- FERREIRA Yohann <bertram@cegetel.net>  Thu, 25 Sep 2005 20:22:59 +0200

libguichan (0.4.0-2) unstable; urgency=low

  * Build against gcc-4.0.1.

 -- FERREIRA Yohann <bertram@cegetel.net>  Thu, 07 Jul 2005 20:22:59 +0200

libguichan (0.4.0-1) unstable; urgency=low

  * Second Release.

 -- FERREIRA Yohann <bertram@cegetel.net>  Wed, 18 May 2005 23:03:59 +0200

libguichan (0.3.0-1) unstable; urgency=low

  * Initial Release.

 -- FERREIRA Yohann <bertram@cegetel.net>  Sun, 10 Apr 2005 17:48:59 +0200
