=== debian/control ===
Source: guichan
Priority: optional
Maintainer: Patrick Matthäi <patrick.matthaei@web.de>
Build-Depends: debhelper (>= 5), dpatch, liballegro4.2-dev, libsdl1.2-dev (>= 1.2.7), libsdl-image1.2-dev (>= 1.2.4-1), xlibmesa-gl-dev | libgl-dev
Standards-Version: 3.7.2
Section: libs

Package: libguichan2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libguichan0, libguichan1
Description: small, efficient C++ GUI library
 Guichan is a small and efficient C++ GUI library designed for games. It
 comes with a standard set of widgets and can use several different objects
 for displaying graphics and grabbing user input.
 .
 Guichan has a very abstract design which allows users of Guichan to use
 different objects for displaying of graphics and grabbing of user input.
 Guichan comes with (for now) 3 implemented graphics objects (SDLGraphics,
 OpenGLGraphics and AllegroGraphics) and 2 implemented input objects
 (SDLInput and AllegroInput),
 .
 Guichan is designed in a very abstract way making it very easy to extend
 Guichan for your own needs. It is even very easy to implement new graphics
 objects making Guichan as portable as ansi C++ is.

Package: libguichan2-dev
Section: libdevel
Architecture: any
Depends: libguichan2 (= ${binary:Version}), liballegro4.2-dev, libsdl1.2-dev (>= 1.2.7), libsdl-image1.2-dev (>= 1.2.4-1), xlibmesa-gl-dev | libgl-dev
Conflicts: libguichan0-dev, libguichan1-dev
Description: small, efficient C++ GUI library
 Guichan is a small and efficient C++ GUI library designed for games. It
 comes with a standard set of widgets and can use several different objects
 for displaying graphics and grabbing user input.
 .
 Guichan has a very abstract design which allows users of Guichan to use
 different objects for displaying of graphics and grabbing of user input.
 Guichan comes with (for now) 3 implemented graphics objects (SDLGraphics,
 OpenGLGraphics and AllegroGraphics) and 2 implemented input objects
 (SDLInput and AllegroInput),
 .
 Guichan is designed in a very abstract way making it very easy to extend
 Guichan for your own needs. It is even very easy to implement new graphics
 objects making Guichan as portable as ansi C++ is.
