## guichan 0.8.2

=== debian/changelog ===
guichan (0.8.2-15) unstable; urgency=medium

  * Add patch 02-extended-utf8-support to enhance UTF8 support.
    Closes: #702994
  * Append/Bump library names with v5 for the GCC 5 transition.
    Closes: #791064
  * Add patch 03-no-focushandler to fix a potential crash if no focushandler
    is set.
  * Remove unused override.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 04 Aug 2015 11:17:54 +0200

guichan (0.8.2-14) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6 (no changes needed).
  * Remove deprecated hardening-wrapper.
  * Overwrite lintian warning about missing GPG signature.
  * Enable multi arch for all library packages.
  * Update to DEP5 debian/copyright format.
  * Adjust lintian overrides.
  * Fix lintian warning static-library-has-unneeded-section.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 29 Jul 2015 22:02:24 +0200

guichan (0.8.2-13) unstable; urgency=low

  * Replace my old e-mail address in debian/copyright.
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Don't explicitly request xz compression - dpkg 1.17 does this by default.
  * Remove unused hardening-no-fortify-functions lintian override.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 12 Dec 2013 10:01:21 +0100

guichan (0.8.2-12) unstable; urgency=low

  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 05 May 2013 20:35:34 +0200

guichan (0.8.2-11) experimental; urgency=low

  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to xz compression and add a Pre-Depends on dpkg.
  * Move to minimal debhelper.
    - Adjust lintian overrides.
  * Use dh-autoreconf.
  * Overwrite false positive dev-pkg-without-shlib-symlink lintian warnings.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 14 Jan 2013 20:27:11 +0100

guichan (0.8.2-10) unstable; urgency=low

  * Add patch 01-sdl-dependent-link from Stephen M. Webb, which adds SDL to
    avoid runtime errors of applications build against guichan.
    Closes: #674219
  * Overwrite false positive hardening-no-fortify-functions lintian warnings.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 05 Jun 2012 20:17:57 +0200

guichan (0.8.2-9) unstable; urgency=low

  * Fix again debian/watch.
  * Wrap all debian/control fields.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 10 Mar 2012 00:24:22 +0100

guichan (0.8.2-8) unstable; urgency=low

  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Override lintian warnings about no-symbols-control-file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 25 Feb 2012 22:01:39 +0100

guichan (0.8.2-7) unstable; urgency=low

  * Fix debian/watch file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 28 Jan 2012 16:23:49 +0100

guichan (0.8.2-6) unstable; urgency=low

  * Add missing build-arch and build-indep debian/rules target.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 25 Jan 2012 16:18:33 +0100

guichan (0.8.2-5) unstable; urgency=low

  * Remove deprecated reference to guichan documentation from manpage.
    Closes: #627485

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 29 May 2011 10:31:30 +0200

guichan (0.8.2-4) unstable; urgency=low

  * Drop .la files.
    Closes: #621236

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 14 May 2011 14:05:07 +0200

guichan (0.8.2-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Build with hardening-wrapper.
  * Wrap build dependencies.
  * Bump debhelper version to 7.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 30 Apr 2011 16:20:36 +0200

guichan (0.8.2-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.1 (no changes needed).
  * Convert package to the 3.0 (quilt) format.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 06 Feb 2011 17:45:03 +0100

guichan (0.8.2-1) unstable; urgency=low

  * New upstream release.
    - We do not need the config.{sub,guess} hacks anymore.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 05 Oct 2009 21:29:21 +0200

guichan (0.8.1-7) unstable; urgency=low

  * Bump Standards-Version to 3.8.3 (no changes needed).
  * Add autotools-dev to build depends and use up to date config.{sub,guess}
    scripts. This fixes an FTBFS on avr32.
    Closes: #549478

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 05 Oct 2009 18:51:46 +0200

guichan (0.8.1-6) unstable; urgency=low

  * Fix typo in get-orig-source target.
  * Change my email address in debian/copyright.
  * Bump Standards-Version to 3.8.2 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 18 Jun 2009 08:58:30 +0200

guichan (0.8.1-5) unstable; urgency=low

  * Add missing ${misc:Depends}. Thanks lintian.
  * Add get-orig-source target.
  * Bump Standards-Version to 3.8.1 (no changes needed).
  * Change section of libguichan-0.8.1-1-dbg to debug.
  * Change my email address.
  * Remove DM-Upload-Allowed control field.
  * Fix lintian warning binary-control-field-duplicates-source.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 20 Apr 2009 19:41:40 +0200

guichan (0.8.1-4) unstable; urgency=high

  * Urgency set to high, because it fixes a release critical bug.
  * debian/copyright:
    - Use the license as written in COPYING, not some other copy of it.
      Thanks to Evgeni Golov for his patch.
      Closes: #513834
    - Update the copyright years.
    - Add informations about the debian/ packaging license.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Tue, 3 Feb 2009 18:06:07 +0200

guichan (0.8.1-3) unstable; urgency=low

  * Added missing conflicts on libguichan{0,1,2}. Thanks for spotting this to
    Devid Antonio Filoni.
    Closes: #492809

 -- Patrick Matthäi <patrick.matthaei@web.de>  Tue, 29 Jul 2008 18:09:51 +0200

guichan (0.8.1-2) unstable; urgency=low

  * Uploading to unstable.
  * Updated to Standards-Version 3.8.0 (no changes needed).
  * Replaced obsolete (build) depend on "xlibmesa-gl-dev | libgl-dev" with
    libgl1-mesa-dev. Thanks lintian.


