=== debian/control ===
Source: guichan
Priority: optional
Homepage: http://guichan.sourceforge.net/
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 9),
 liballegro4.2-dev,
 libsdl1.2-dev,
 libsdl-image1.2-dev,
 libgl1-mesa-dev,
 dh-autoreconf
Standards-Version: 3.9.6
Section: libs

Package: libguichan-0.8.1-1v5
Architecture: any
Multi-Arch: same
Breaks: libguichan-0.8.1-1
Replaces: libguichan-0.8.1-1
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: small, efficient C++ GUI library
 Guichan is a small and efficient C++ GUI library designed for games. It
 comes with a standard set of widgets and can use several different objects
 for displaying graphics and grabbing user input.
 .
 Guichan has a very abstract design which allows users of Guichan to use
 different objects for displaying of graphics and grabbing of user input.
 Guichan comes with (for now) 3 implemented graphics objects (SDLGraphics,
 OpenGLGraphics and AllegroGraphics) and 2 implemented input objects
 (SDLInput and AllegroInput),
 .
 Guichan is designed in a very abstract way making it very easy to extend
 Guichan for your own needs. It is even very easy to implement new graphics
 objects making Guichan as portable as ansi C++ is.

Package: libguichan-allegro-0.8.1-1v5
Architecture: any
Multi-Arch: same
Breaks: libguichan-allegro-0.8.1-1
Replaces: libguichan-allegro-0.8.1-1
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: small, efficient C++ GUI library (allegro integration)
 Guichan is a small and efficient C++ GUI library designed for games. It
 comes with a standard set of widgets and can use several different objects
 for displaying graphics and grabbing user input.
 .
 Guichan has a very abstract design which allows users of Guichan to use
 different objects for displaying of graphics and grabbing of user input.
 Guichan comes with (for now) 3 implemented graphics objects (SDLGraphics,
 OpenGLGraphics and AllegroGraphics) and 2 implemented input objects
 (SDLInput and AllegroInput),
 .
 Guichan is designed in a very abstract way making it very easy to extend
 Guichan for your own needs. It is even very easy to implement new graphics
 objects making Guichan as portable as ansi C++ is.
 .
 This package contains the allegro integration for guichan.

Package: libguichan-sdl-0.8.1-1v5
Architecture: any
Multi-Arch: same
Breaks: libguichan-sdl-0.8.1-1
Replaces: libguichan-sdl-0.8.1-1
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: small, efficient C++ GUI library (SDL integration)
 Guichan is a small and efficient C++ GUI library designed for games. It
 comes with a standard set of widgets and can use several different objects
 for displaying graphics and grabbing user input.
 .
 Guichan has a very abstract design which allows users of Guichan to use
 different objects for displaying of graphics and grabbing of user input.
 Guichan comes with (for now) 3 implemented graphics objects (SDLGraphics,
 OpenGLGraphics and AllegroGraphics) and 2 implemented input objects
 (SDLInput and AllegroInput),
 .
 Guichan is designed in a very abstract way making it very easy to extend
 Guichan for your own needs. It is even very easy to implement new graphics
 objects making Guichan as portable as ansi C++ is.
 .
 This package contains the SDL integration for guichan.

Package: libguichan-opengl-0.8.1-1v5
Architecture: any
Multi-Arch: same
Breaks: libguichan-opengl-0.8.1-1
Replaces: libguichan-opengl-0.8.1-1
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: small, efficient C++ GUI library (OpenGL integration)
 Guichan is a small and efficient C++ GUI library designed for games. It
 comes with a standard set of widgets and can use several different objects
 for displaying graphics and grabbing user input.
 .
 Guichan has a very abstract design which allows users of Guichan to use
 different objects for displaying of graphics and grabbing of user input.
 Guichan comes with (for now) 3 implemented graphics objects (SDLGraphics,
 OpenGLGraphics and AllegroGraphics) and 2 implemented input objects
 (SDLInput and AllegroInput),
 .
 Guichan is designed in a very abstract way making it very easy to extend
 Guichan for your own needs. It is even very easy to implement new graphics
 objects making Guichan as portable as ansi C++ is.
 .
 This package contains the OpenGL integration for guichan.

Package: libguichan-0.8.1-1v5-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 libguichan-0.8.1-1v5 (= ${binary:Version}),
 libguichan-allegro-0.8.1-1v5 (= ${binary:Version}),
 libguichan-sdl-0.8.1-1v5 (= ${binary:Version}),
 libguichan-opengl-0.8.1-1v5 (= ${binary:Version})
Description: small, efficient C++ GUI library (debugging symbols)
 Guichan is a small and efficient C++ GUI library designed for games. It
 comes with a standard set of widgets and can use several different objects
 for displaying graphics and grabbing user input.
 .
 Guichan has a very abstract design which allows users of Guichan to use
 different objects for displaying of graphics and grabbing of user input.
 Guichan comes with (for now) 3 implemented graphics objects (SDLGraphics,
 OpenGLGraphics and AllegroGraphics) and 2 implemented input objects
 (SDLInput and AllegroInput),
 .
 Guichan is designed in a very abstract way making it very easy to extend
 Guichan for your own needs. It is even very easy to implement new graphics
 objects making Guichan as portable as ansi C++ is.
 .
 This package contains the debugging symbols for guichan.

Package: libguichan-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libguichan-0.8.1-1v5 (= ${binary:Version}),
 libguichan-allegro-0.8.1-1v5 (= ${binary:Version}),
 libguichan-sdl-0.8.1-1v5 (= ${binary:Version}),
 libguichan-opengl-0.8.1-1v5 (= ${binary:Version}),
 liballegro4.2-dev,
 libsdl1.2-dev,
 libsdl-image1.2-dev,
 libgl1-mesa-dev
Conflicts: libguichan0-dev,
 libguichan1-dev,
 libguichan2-dev,
 libguichan0,
 libguichan1,
 libguichan2
Description: small, efficient C++ GUI library (development headers)
 Guichan is a small and efficient C++ GUI library designed for games. It
 comes with a standard set of widgets and can use several different objects
 for displaying graphics and grabbing user input.
 .
 Guichan has a very abstract design which allows users of Guichan to use
 different objects for displaying of graphics and grabbing of user input.
 Guichan comes with (for now) 3 implemented graphics objects (SDLGraphics,
 OpenGLGraphics and AllegroGraphics) and 2 implemented input objects
 (SDLInput and AllegroInput),
 .
 Guichan is designed in a very abstract way making it very easy to extend
 Guichan for your own needs. It is even very easy to implement new graphics
 objects making Guichan as portable as ansi C++ is.
 .
 This package contains the development headers for the guichan library.
