=== debian/rules ===
#!/usr/bin/make -f

DEB_CONFIGURE_EXTRA_FLAGS := \
	--enable-sdl \
	--enable-sdlimage \
	--enable-opengl \
	--enable-allegro

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_install:
	dh_install
	find  $(CURDIR)/debian/libguichan-dev/usr/lib/$(DEB_HOST_MULTIARCH)/ \
		-type f -name lib\*.a \
		-exec strip --remove-section=.comment {} \;

override_dh_strip:
	dh_strip --dbg-package=libguichan-0.8.1-1v5-dbg
