=== debian/watch ===
version=3
http://code.google.com/p/guichan/downloads/list?can=1 \
 .*/guichan-(\d[\d\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))|zip)
