=== debian/changelog ===
guichan (0.8.3-1) experimental; urgency=medium

  * New upstream release.
    - Fixes missing link to guichan.
      Closes: #950199
    - Remove merged patches 01-sdl-dependent-link, 03-no-focushandler,
      04-spelling-errors and 05-link-additional-libs.
    - Adjust SONAME of the library packages.
  * Refactoring package to cmake.
    - Add upstream patch 01-gnuinstalldirs.
  * Remove SDL 1.2 support. It is deprecated also by upstream.
    Closes: #1038376
  * Bump Standards-Version to 4.7.2.
  * Adjust debian/watch to new upstream location.
  * Update debian/copyright.
  * Adjust lintian overrides.
  * Remove deprecated guichan.2 manpage.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 22 Oct 2025 09:16:35 +0200

guichan (0.8.2-21) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 14 Sep 2022 14:37:37 +0200

guichan (0.8.2-20) unstable; urgency=medium

  * Adjust lintian overrides.
  * Bump Standards-Version to 4.5.1.
  * Bump debhelper-compat to level 13.
    - Add no required files to debian/not-installed.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Nov 2020 14:57:13 +0100

guichan (0.8.2-19) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0.
  * Use the new debhelper-compat notation, and drop the d/compat file.
  * Move lintian-overrides file to source directory.
  * Adjust source lintian-overrides.
  * Set Rules-Requires-Root: no.
  * Fix renamed lintian tag.
  * Install files from example directory.
  * Add patch 05-link-additional-libs to add missing links against libraries.
    Closes: #935140, #935139

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 23 Jan 2020 16:32:57 +0100

guichan (0.8.2-18) unstable; urgency=medium

  *  Drop now useless dh-autoreconf.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 02 Aug 2017 09:22:49 +0200

guichan (0.8.2-17) unstable; urgency=medium

  * Bump debian/compat to level 10.
  * Bump Standards-Version to 4.0.0 (no changes required).
  * Drop dbg package.
  * Remove trigger files again.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 21 Jul 2017 14:13:05 +0200

guichan (0.8.2-16) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8 (no changes required).
  * Remove obsolete URL from debian/watch. The project is inactive.
  * Enable full hardening.
  * Add patch 04-spelling-errors to fix spelling errors.
  * Use debhelper triggers.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 23 Dec 2016 09:43:00 +0100
