=== debian/control ===
Source: guichan
Priority: optional
Homepage: https://github.com/darkbitsorg/guichan
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper-compat (= 13),
 cmake,
 liballegro4.2-dev,
 libgl-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no
Section: libs

Package: libguichan0.8
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: small, efficient C++ GUI library
 Guichan is a small and efficient C++ GUI library designed for games. It
 comes with a standard set of widgets and can use several different objects
 for displaying graphics and grabbing user input.
 .
 Guichan has a very abstract design which allows users of Guichan to use
 different objects for displaying of graphics and grabbing of user input.
 Guichan comes with (for now) 2 implemented graphics objects (OpenGLGraphics
 and AllegroGraphics) and 2 implemented input objects).
 .
 Guichan is designed in a very abstract way making it very easy to extend
 Guichan for your own needs. It is even very easy to implement new graphics
 objects making Guichan as portable as ansi C++ is.

Package: libguichan-allegro0.8
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: small, efficient C++ GUI library (allegro integration)
 Guichan is a small and efficient C++ GUI library designed for games. It
 comes with a standard set of widgets and can use several different objects
 for displaying graphics and grabbing user input.
 .
 Guichan has a very abstract design which allows users of Guichan to use
 different objects for displaying of graphics and grabbing of user input.
 Guichan comes with (for now) 2 implemented graphics objects (OpenGLGraphics
 and AllegroGraphics) and 2 implemented input objects).
 .
 Guichan is designed in a very abstract way making it very easy to extend
 Guichan for your own needs. It is even very easy to implement new graphics
 objects making Guichan as portable as ansi C++ is.
 .
 This package contains the allegro integration for guichan.

Package: libguichan-opengl0.8
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: small, efficient C++ GUI library (OpenGL integration)
 Guichan is a small and efficient C++ GUI library designed for games. It
 comes with a standard set of widgets and can use several different objects
 for displaying graphics and grabbing user input.
 .
 Guichan has a very abstract design which allows users of Guichan to use
 different objects for displaying of graphics and grabbing of user input.
 Guichan comes with (for now) 2 implemented graphics objects (OpenGLGraphics
 and AllegroGraphics) and 2 implemented input objects).
 .
 Guichan is designed in a very abstract way making it very easy to extend
 Guichan for your own needs. It is even very easy to implement new graphics
 objects making Guichan as portable as ansi C++ is.
 .
 This package contains the OpenGL integration for guichan.

Package: libguichan-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libguichan0.8 (= ${binary:Version}),
 libguichan-allegro0.8 (= ${binary:Version}),
 libguichan-opengl0.8 (= ${binary:Version}),
 liballegro4.2-dev,
 libgl-dev
Conflicts: libguichan0-dev,
 libguichan1-dev,
 libguichan2-dev,
 libguichan0,
 libguichan1,
 libguichan2
Description: small, efficient C++ GUI library (development headers)
 Guichan is a small and efficient C++ GUI library designed for games. It
 comes with a standard set of widgets and can use several different objects
 for displaying graphics and grabbing user input.
 .
 Guichan has a very abstract design which allows users of Guichan to use
 different objects for displaying of graphics and grabbing of user input.
 Guichan comes with (for now) 2 implemented graphics objects (OpenGLGraphics
 and AllegroGraphics) and 2 implemented input objects).
 .
 Guichan is designed in a very abstract way making it very easy to extend
 Guichan for your own needs. It is even very easy to implement new graphics
 objects making Guichan as portable as ansi C++ is.
 .
 This package contains the development headers for the guichan library.
