=== debian/watch ===
version=4
opts=dversionmangle=s/\+git\d+// \
https://github.com/darkbitsorg/guichan/tags .*/v(\d\S+)\.tar\.gz
